% File: E5_063.M

clear;

fc = 4;
Beta = 0.8;
fa = 1;
Ta = 1/fa;
dt = 2*Ta/200;
wc = 2*pi*fc;
wa = 2*pi*fa;

t = 0:dt:2*Ta;

m = sin(wa*t);
m = m(:);
theta = Beta*m;

j = sqrt(-1);
g = exp(j*theta);
g = g(:);

phase = exp(j*wc*t);
phase = phase(:);
v = real(g.*phase);

s = cos(wc*t) - theta'.*sin(wc*t);;
s = s(:);

PLOT_PR(2);
plot(t,m);
xlabel('t');
ylabel('m(t)');
pause;

subplot(211);
plot(t,v);
xlabel('t');
ylabel('v(t)');

subplot(212);
plot(t,s);
xlabel('t');
ylabel('s(t)');
subplot(111);



