% File: P2_57.M

clear;

fo = 300;
fl = 1500;
t = 0:5e-5:4e-3;
n = 1:2:11;
D = zeros(length(n),1);
phi = zeros(length(n),1);

for (i = 1:1:length(n))
  D(i) = 4/(n(i)*pi*sqrt(1 + (n(i)*fo/fl)^2));
  phi(i) = pi*(1-sin(n(i)*pi/2))/2 - atan(n(i)*fo/fl);
end;

% Creating y(t)
y = zeros(length(t),1);
for (i = 1:1:length(n))
  y = y + D(i)*cos(n(i)*2*pi*fo*t + phi(i))';
end;
y = y(:);

PLOT_PR(1);
plot(t,y);
xlabel('t');
title('y(t)');




