% File: P6_36.M

clear;


R = 2000;
B = 6000;
T = 1/R;
a = 2*pi*B;

t = 0:T/40:2*T;



fprintf('\nComputing results.\n');

for (i = 1:1:length(t))
fprintf('.');
  if (t(i) >= T)
     r(i) = (exp(a*T)-1)*exp(-a*t(i));
     ro(i)= ( (exp(a*T)-1)/a) *( exp(-a*T)-exp(-a*t(i)) );
  else
     r(i) = 1-exp(-a*t(i));
     ro(i)= t(i)+((exp(-a*t(i))-1)/a);
  end;
end;
    


fprintf('\n');

PLOT_PR(2);

plot(t,r);
xlabel('t   sec');
title('Input Waveform, r(t)');
pause; 

plot(t,ro);
xlabel('t   sec');
title('Output Waveform, ro(t)');
