% File: P7_06.M

clear;

EbNodB = 0:0.1:15;


fprintf('\nComputing results.\n');

for (i = 1:1:length(EbNodB))
   EbNo(i) = 10^(EbNodB(i)/10);
   Peb(i)  = Q(sqrt(0.92656*EbNo(i)));
   Pec(i)  = Q(sqrt(2.0*EbNo(i)));
   fprintf('.');
end;

fprintf('\n');

PLOT_PR(2);

semilogy(EbNodB,Peb);
xlabel('EbNodB');
ylabel('Pe(EbNodB)');
title('(b) Butterworth Filter Receiver');
grid;
pause; 

semilogy(EbNodB,Pec);
xlabel('EbNodB');
ylabel('Pe(EbNodB)');
title('(c) Matched Filter Receiver');
grid;

