% File: P7_9.M

clear;

EbNodB = 0:0.1:15;


fprintf('\nComputing results.\n');

for (i = 1:1:length(EbNodB))
   EbNo(i) = 10^(EbNodB(i)/10);
   Pea(i)  = Q(sqrt(0.25*EbNo(i)));
   Peb(i)  = Q(sqrt(EbNo(i)));
   fprintf('.');
end;

fprintf('\n');

PLOT_PR(2);

semilogy(EbNodB,Pea);
xlabel('EbNodB');
ylabel('Pe(EbNodB)');
title('(a) RC Filter Receiver with Beq=2/T');
grid;
pause; 

semilogy(EbNodB,Peb);
xlabel('EbNodB');
ylabel('Pe(EbNodB)');
title('(b) Matched Filter Receiver');
grid;

