% File: P7_16.M

clear;

EbNodB = 10;

EbNo = 10^(EbNodB/10);

theta = -180:5:180;

fprintf('\nComputing results.\n');

for (i = 1:1:length(theta))
   z(i) = sqrt(2*EbNo*(cos(pi*theta(i)/180))^2);
   if (abs(theta(i)) <= 90)
      Pe(i) = Q(z(i));
   else
      Pe(i) = Q(-z(i));
   end;
fprintf('.');
end;

fprintf('\n');

PLOT_PR(1);

semilogy(theta,Pe);
xlabel('theta');
ylabel('Pe(theta)'); 
grid;

