% File: E2_006.M

clear;

fo = 60;
t = 0:0.0002:0.03;
wo = 2*pi*fo;

% Select theta to be the phase shift of current in degrees
theta = 20;

current = 5*cos(wo*t + theta*(pi/180));
volts = 10*cos(wo*t);

current = current(:);
volts = volts(:);

power = current.*volts;

plot(t,power);
xlabel('time');
ylabel('power');
title('Power as a function of Time');






