% File: P2_25.M

clear;

t = 0:0.05:15;
% Part A
v1 = 0.1*exp(-0.1*t);
v2 = exp(-t);
v3 = 10*exp(-10*t);

PLOT_PR(2);
axis([0 15 0 5]);
plot(t,v1,'-',t,v2,'--',t,v3,':');
xlabel('t');
text(7,2.0,'v1(t): Solid Line');
text(7,1.5,'v2(t): Dashed Line');
text(7,1.0,'v3(t): Dotted Line');
pause;
% Must reset axis to autoscaling mode
axis;

%Part B
f = 0:0.01:2;
j = sqrt(-1);
for (n = 1:length(f))
  V1(n) = 0.1/(1 + j*20*pi*f(n));
  V2(n) = 1/(1 + j*2*pi*f(n));
  V3(n) = 10/(1 + j*0.20*pi*f(n));
end;
plot(f,abs(V1),'-',f,abs(V2),'--',f,abs(V3),':');
xlabel('t');
text(0.75,4,'V1(f): Solid Line');
text(0.75,3.6,'V2(f): Dashed Line');
text(0.75,3.2,'V3(f): Dotted Line');


